package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * @className:ReviewBasicContract
 * @description: 额度支用：基础交易合同信息
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年8月12日 下午5:48:46
 */
public class ReviewBasicContractHis extends BaseEntity {

    /**
     * 对应额度支用信息历史Id
     */
    private Long reviewQuotaDisburseHisId;

    /**
     * 三方协议编号
     **/
    private String tripartiteAgreementNo;
    /**
     * 债务人公司ID
     **/
    private Long debtorCompanyId;
    /**
     * 债务人公司名称
     **/
    private String debtorCompanyName;
    /**
     * 债务人统一社会信用码
     **/
    private String debtorSocialCreditCode;
    /**
     * 特殊约定
     **/
    @Length(max = 5000, message = "特殊约定不能超过5000个字符")
    private String specialAgreement;
    /**
     * 合同内容list
     **/
    @TableField(exist = false)
    private List<ReviewBasicContractChangeContentHis> contractContentList;

    public ReviewBasicContractHis() {
    }

    public String getTripartiteAgreementNo() {
        return tripartiteAgreementNo;
    }

    public void setTripartiteAgreementNo(String tripartiteAgreementNo) {
        this.tripartiteAgreementNo = tripartiteAgreementNo;
    }

    public Long getDebtorCompanyId() {
        return debtorCompanyId;
    }

    public void setDebtorCompanyId(Long debtorCompanyId) {
        this.debtorCompanyId = debtorCompanyId;
    }

    public String getDebtorCompanyName() {
        return debtorCompanyName;
    }

    public void setDebtorCompanyName(String debtorCompanyName) {
        this.debtorCompanyName = debtorCompanyName;
    }

    public String getDebtorSocialCreditCode() {
        return debtorSocialCreditCode;
    }

    public void setDebtorSocialCreditCode(String debtorSocialCreditCode) {
        this.debtorSocialCreditCode = debtorSocialCreditCode;
    }

    public List<ReviewBasicContractChangeContentHis> getContractContentList() {
        return contractContentList;
    }

    public void setContractContentList(List<ReviewBasicContractChangeContentHis> contractContentList) {
        this.contractContentList = contractContentList;
    }

    public String getSpecialAgreement() {
        return specialAgreement;
    }

    public void setSpecialAgreement(String specialAgreement) {
        this.specialAgreement = specialAgreement;
    }

    public Long getReviewQuotaDisburseHisId() {
        return reviewQuotaDisburseHisId;
    }

    public void setReviewQuotaDisburseHisId(Long reviewQuotaDisburseHisId) {
        this.reviewQuotaDisburseHisId = reviewQuotaDisburseHisId;
    }
}
